# Live Photos

**Live Photos** are images (i.e. selfies) of the client's face. Typically, along with an ID document, they are used to perform [Identity Checks](https://docs.complycube.com/documentation/checks/identity-check).

Upon creating a Live Photo, the following inspections are conducted:

* **Faces analysis**: checks if a face is detected and that the number of faces does not exceed 1.
* **Facial obstructions**: checks if facial features are covered or not visible.
* **Facial orientation**: checks if a face is at an optimal position.
* **Liveness check**: checks if a photo is genuine and is not a spoofed photo of an image or photo-of-a-photo.

The live photos API allows you to upload, retrieve, download, and delete live photos. You can retrieve a specific live photo as well as a list of all your client's live photos.

### The Live Photo object

<table><thead><tr><th width="267.1517176930844">Attribute</th><th width="104.20314967431574">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>id</code></td><td>string</td><td>The unique identifier for a live photo.</td></tr><tr><td><code>clientId</code></td><td>string</td><td>The ID of the client associated with this live photo.</td></tr><tr><td><code>performLivenessCheck</code></td><td>boolean</td><td>Indicates if a liveness check should be performed on a live photo upload. When not provided, this defaults to <strong>true</strong>.</td></tr><tr><td><code>downloadLink</code></td><td>string</td><td>The URI can be used to <a href="/pages/-M6aE099rTiDcYi2idRR">download the live photo</a>. This will be automatically generated upon a successful live photo upload.</td></tr><tr><td><code>contentType</code></td><td>string</td><td>The MIME type of the image. This will be automatically set upon a successful live photo upload.</td></tr><tr><td><code>size</code></td><td>number</td><td>The size of the live photo in bytes. This will be automatically set upon a successful live photo upload.</td></tr><tr><td><code>createdAt</code></td><td>string</td><td>The date and time when the live photo was created.</td></tr><tr><td><code>updatedAt</code></td><td>string</td><td>The date and time when the live photo was updated.</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.complycube.com/documentation/api-reference/core-resources/live-photos.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
